<div flex="100" layout-wrap>
    <md-grid-list class="films-list-wrap"
                  md-cols-xs="1" md-cols-sm="1" md-cols-gt-xs="1" md-cols-gt-md="2" md-row-height="430px"
                  md-row-height-gt-md="430px" md-row-height-gt-sm="690px"
                  md-gutter="5px" layout-gt-sm="column"
                  layout-xs="column" layout-gt-xs="column">
        <md-grid-tile ng-repeat="film in $ctrl.films" class="film-wrap">

            <md-card flex="100" class="film-card">
                <md-card-title>
                    <md-card-title-text>
                        <h4 ng-bind="::film.title"></h4>
                    </md-card-title-text>
                </md-card-title>

                <md-card-content>
                    <div flex="100" layout-align-gt-md="row" layout-gt-sm="row" layout-sm="row" layout-gt-xs="column" layout-xs="column">
                        <div flex="40">
                            <img ng-src="{{::film.urlPoster}}" class="md-card-image" alt="Washed Out">
                        </div>

                        <div flex="60" layout="column">
                            <div>
                                <span class="md-subhead">Rating: </span>
                                <span class="md-body-1" ng-bind="::film.rating"></span>
                            </div>

                            <div>
                                <span class="md-subhead">Year: </span>
                                <span class="md-body-1" ng-bind="::film.year"></span>
                            </div>

                            <div>
                                <span class="md-subhead">Genres: </span>
                                <span class="md-body-1">{{film.genres.length > 1 ? film.genres.join(', ') : film.genres[0]}}</span>
                            </div>

                            <div>
                                <span class="md-subhead">Countries: </span>
                                <span class="md-body-1">{{film.countries.length > 1 ? film.countries.join(', ') : film.countries[0]}}</span>
                            </div>

                            <div>
                                <span class="md-subhead">Directors: </span>
                                <span class="md-body-1">
                                    <a ng-repeat="item in film.directors" href="http://www.imdb.com/name/{{::item.id}}">
                                        <span ng-if="$index > 0">,</span>
                                        {{item.name}}
                                    </a>
                                </span>
                            </div>

                            <p class="md-caption" ng-bind="::film.simplePlot"></p>
                        </div>
                    </div>
                </md-card-content>

                <md-card-actions layout="row" layout-align="end center">
                    <md-button class="md-raised"
                               aria-label="Show More"
                               ng-click="$ctrl.showMore($event, film)">
                        <md-tooltip md-direction="top">Show trailer for the movie</md-tooltip>
                        Show More
                    </md-button>

                    <md-button ng-if="!film.isFavorite"
                               class="md-icon-button md-accent"
                               ng-click="$ctrl.addToFavorite(film)"
                               aria-label="Favorite">
                        <md-icon class="material-icons" ng-bind="'favorite_border'"></md-icon>
                        <md-tooltip md-direction="top">Add to favorite</md-tooltip>
                    </md-button>

                    <md-button ng-if="film.isFavorite"
                               class="md-icon-button md-accent"
                               aria-label="Remove"
                               ng-click="$ctrl.removeFilm(film)">
                        <md-icon class="material-icons" ng-bind="'favorite'"></md-icon>
                        <md-tooltip md-direction="top">Remove from favorite</md-tooltip>
                    </md-button>
                </md-card-actions>
            </md-card>
        </md-grid-tile>
    </md-grid-list>
</div>